List admitted MicroVault yield sources
curl --request GET \
--url https://sandbox.groundtech.co/v2/microvaults/yield-sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/microvaults/yield-sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/microvaults/yield-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"yieldSources": [
{
"sourceId": "0x1111111111111111111111111111111111111111111111111111111111111111",
"displayName": "Morpho Steakhouse USDC Prime",
"providerName": "Morpho",
"tickerLabel": "Steakhouse USDC",
"apyBps": 500,
"expectedProcessingSeconds": 0,
"maxProcessingSeconds": 0,
"mode": "active"
}
]
}{
"error": "microvaults_not_enabled",
"message": "MicroVaults are not enabled for this organization"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}Vaults and Sources
List MicroVault yield sources
Returns the yield sources available for MicroVault strategies on the requested chain.
GET
/
v2
/
microvaults
/
yield-sources
List admitted MicroVault yield sources
Discover the environment-specific yield sources admitted for MicroVault allocation.
MicroVaults are in private preview for enabled sandbox organizations on Ethereum Sepolia.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Example:
11155111
Response
Sources admitted on the requested chain.
Show child attributes
Show child attributes